#include <iostream>
using namespace std;

int main()
{
    int a, b;
    cin >> a >> b;
    
    int tabla[a][b];
    
    for (int i = 0 ; i < a; i++)
    {
        for (int j = 0; j < b; j++)
        {
            cin >> tabla[i][j];
        }
    }
    
    cout << -1 << endl;
    
    return 0;
}